Singapay Home Page
Logo Icon
  1. VA Transactions
  2. Detail VA Transactions by VA Number

Information

MethodPathFormatAuthentication
GET/api/v1.0/va-transactions/{account_id}/detail-by-va-number/{va_number}jsonOAuth 2.0 with Access Token

Request Details

Query Parameters for Filtering

ParameterTypeMandatoryDescriptionExample
transaction_idStringOptionalFilter by transaction ID (partial match)6411120251024133950078
statusStringOptionalFilter by transaction statuspaid
amountDecimalOptionalFilter by exact amount1000000.00
amount_minDecimalOptionalFilter by minimum amount100000.00
amount_maxDecimalOptionalFilter by maximum amount5000000.00
has_settleBooleanOptionalFilter by settlement statustrue
post_timestamp_fromTimestampOptionalFilter by minimum post timestamp (ms)1761714886809
post_timestamp_toTimestampOptionalFilter by maximum post timestamp (ms)1761715000000
processed_timestamp_fromTimestampOptionalFilter by minimum processed timestamp (ms)1761287991000
processed_timestamp_toTimestampOptionalFilter by maximum processed timestamp (ms)1761289000000
settle_at_fromTimestampOptionalFilter by minimum settlement timestamp (ms)1761288100000
settle_at_toTimestampOptionalFilter by maximum settlement timestamp (ms)1761289000000
sort_byStringOptionalSort by field (default: id)id, created_at, amount
sort_orderStringOptionalSort order (default: desc)asc, desc
per_pageIntegerOptionalItems per page (default: 50)25, 50, 100

Request Example with Filters

Example 1: Filter by Status and Amount

GET /api/v1.0/va-transactions/01K8AESCCKYSD98Z3P9RSDA36W/detail-by-va-number/7872955175492119?status=paid&amount_min=100000&amount_max=5000000

cURL Example:

curl -X GET "https://api.singapay.id/api/v1.0/va-transactions/01K8AESCCKYSD98Z3P9RSDA36W/detail-by-va-number/7872955175492119?status=paid&amount_min=100000&amount_max=5000000" \
  -H "X-PARTNER-ID: b3ed7d4b-a96c-6c08-b3c7-12c3124242d9" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."

Example 2: Filter by Settlement Status

GET /api/v1.0/va-transactions/01K8AESCCKYSD98Z3P9RSDA36W/detail-by-va-number/7872955175492119?has_settle=true&sort_by=processed_timestamp&sort_order=desc

cURL Example:

curl -X GET "https://api.singapay.id/api/v1.0/va-transactions/01K8AESCCKYSD98Z3P9RSDA36W/detail-by-va-number/7872955175492119?has_settle=true&sort_by=processed_timestamp&sort_order=desc" \
  -H "X-PARTNER-ID: b3ed7d4b-a96c-6c08-b3c7-12c3124242d9" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."

Example 3: Filter by Date Range and Pagination

GET /api/v1.0/va-transactions/01K8AESCCKYSD98Z3P9RSDA36W/detail-by-va-number/7872955175492119?processed_timestamp_from=1761287991000&processed_timestamp_to=1761289000000&per_page=100&page=1

cURL Example:

curl -X GET "https://api.singapay.id/api/v1.0/va-transactions/01K8AESCCKYSD98Z3P9RSDA36W/detail-by-va-number/7872955175492119?processed_timestamp_from=1761287991000&processed_timestamp_to=1761289000000&per_page=100&page=1" \
  -H "X-PARTNER-ID: b3ed7d4b-a96c-6c08-b3c7-12c3124242d9" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."

Headers Structure

FieldValueTypeMandatoryLengthDescriptionExample
X-PARTNER-IDapi_keyAlphanumericMandatoryAPI key obtained from the merchant dashboard.b3ed7d4b-a96c-6c08-b3c7-12c3124242d9
Acceptapplication/jsonAlphabeticMandatorySpecifies JSON as the expected response format.application/json
AuthorizationBearer {bearerToken}AlphanumericMandatoryBearer token obtained from the get access token endpoint.Bearer eyJ0eXAiOiJKV1{…}

Response Details

Response Structure

FieldTypeMandatoryLengthDescriptionExample
statusNumericMandatory3HTTP Status Code200
successBooleanMandatory12xx is true. 4xx–5xx is false.true
dataArray ObjectConditional-List of transaction data-
> transaction_idStringMandatory-Unique ID for the transaction6411120251024133950078
> va_numberNumericMandatory-Virtual account bank number7872955175492119
> accountObjectMandatory-Account information-
>> idStringMandatory-Unique account ID01K8AESCCKYSD98Z3P9RSDA36W
>> nameAlphabeticMandatory-Account holder nameTravelan
>> emailString (Email)Optional-Account email addresstravelan@gmail.com
>> phoneNumeric/StringOptional-Account phone number085673574337633
> bankObjectMandatory-Bank details-
>> short_nameAlphabeticMandatory-Bank short nameMaybank
>> numberNumericMandatory-Bank number code016
>> swift_codeAlphanumericOptional-SWIFT code of the bankIBBKIDJA
>> bank_codeAlphabeticMandatory-Bank code (e.g., BRI, DANAMON, MAYBANK)MAYBANK
> notesString / NullOptional-Additional information or remarksnull
> statusAlphabeticMandatory-Transaction status (paid, pending, unpaid, etc.)paid
> feesObjectOptional-Transaction fee details-
>> nameAlphabeticOptional-Name of the feeVA Maybank
>> amountDecimalOptional-Fee amount1500.00
>> currencyAlphabeticOptional3Fee currencyIDR
> amountObjectMandatory-Total transaction amount-
>> valueDecimalMandatory-Transaction amount value1000000.00
>> currencyAlphabeticMandatory3Currency of transaction amountIDR
> post_timestampTimestampMandatory-Date requested (Unix Timestamp in milliseconds)1761714886809
> processed_timestampTimestampMandatory-Date when transaction was processed (Unix Timestamp in ms)1761287991000
> has_settleBooleanMandatory-Indicates whether the transaction has been settledtrue
> settle_atTimestamp/NullOptional-Date when transaction was settled (Unix Timestamp in ms)1761288100000
paginationObjectOptional-Pagination information for the list of transactions-
> countNumericMandatory-Number of records in current page2
> totalNumericMandatory-Total number of available records2
> perPageNumericMandatory-Number of records per page25
> currentPageNumericMandatory-Current page number1
> totalPagesNumericMandatory-Total number of pages available1
> linksObjectOptional-Pagination links for next/previous pages

Response Example

Success: Here’s an example of a successful response.

{
    "status": 200,
    "success": true,
    "data": [
        {
            "transaction_id": "6411120251024133950078",
            "va_number": "7872955175492119",
            "account": {
                "id": "01K8AESCCKYSD98Z3P9RSDA36W",
                "name": "Travelan",
                "email": "travelan@gmail.com",
                "phone": "085673574337633"
            },
            "bank": {
                "short_name": "Maybank",
                "number": "016",
                "swift_code": "IBBKIDJA",
                "bank_code": "MAYBANK"
            },
            "notes": null,
            "status": "paid",
            "fees": {
                "name": "VA Maybank",
                "amount": "1500.00",
                "currency": "IDR"
            },
            "amount": {
                "value": "1000000.00",
                "currency": "IDR"
            },
            "post_timestamp": "1761714886809",
            "processed_timestamp": "1761287991000",
            "has_settle": true,
            "settle_at": "1761288100000"
        },
        {
            "transaction_id": "6311120251024133622889",
            "va_number": "8463861627647924",
            "account": {
                "id": "01K8AESCCKYSD98Z3P9RSDA36W",
                "name": "Travelan",
                "email": "travelan@gmail.com",
                "phone": "085673574337633"
            },
            "bank": {
                "short_name": "Danamon",
                "number": "011",
                "swift_code": "BDINIDJA",
                "bank_code": "DANAMON"
            },
            "notes": null,
            "status": "paid",
            "fees": {
                "name": "VA Danamon",
                "amount": "1500.00",
                "currency": "IDR"
            },
            "amount": {
                "value": "300000.00",
                "currency": "IDR"
            },
            "post_timestamp": "1761714886817",
            "processed_timestamp": "1761287790000",
            "has_settle": false,
            "settle_at": null
        }
    ],
    "pagination": {
        "count": 2,
        "total": 2,
        "perPage": 25,
        "currentPage": 1,
        "totalPages": 1,
        "links": {}
    }
}